<?php

$RutaTemporalSubidaDocumentos='docs/';
$RutaTemporalSubidaDocumentosFirmas='firmas/';

define('FILTROS_OP',serialize(
	array(
		'filtroTipoOrden',
		'filtroOleada',
		'filtroEstado',
		'filtroCliente',
		'filtroTipoCliente',
		'filtroFechaCarga',
		'filtroPendientes',
		'filtroZonasCarga',
		'filtroRefCliente',
		'filtroRefDestino')
	)
);

define('FILTROS_OP_ORDEN',serialize(
	array(
		'filtroCaja',
		'filtroProducto',
		'filtroPreparacion')
	)
);

define('FILTROS_RECEPCION_COMPRA_LISTADO',serialize(
	array(
		'filtroProveedor',
		'filtroCargaCamionDescripcion')
	)
);
define('FILTROS_RECEPCION_COMPRA',serialize(
	array(
		'filtroProveedor',
		'filtroPedido',
		'filtroProducto',
		'filtroCodigoProducto',
		'filtroCargaCamion',
		'filtroFechaEntrega',
		'filtroPedidoVenta')
	)
);

// Esto está OBSOLETO, se detecta en 21-03-2023 que todavía se usaba en la info de productos en los detalles de almacén
// pero estaba mal, los estados vienen por parámetros de empresa y se graban en session en en login
define('ESTADOSALMACEN', serialize(
	array(
		'L'=>'Libre',
		'B'=>'Bloqueado')
	)
);

define('TIPOSDATOSPROXIUM', serialize(
	array(
		1=>'numero',
		2=>'texto',
		3=>'fecha',
		4=>'texto',
		5=>'numero')
	)
);

define('OPERACIONES', serialize(
	array(
		'PRECINTADOMUL'=>'Precintado',
		'ETIQUETADOMUL'=>'Etiquetado',
		'TRANSFORMACION'=>'Transformación')
	)
);
define('TIPOGESTION', serialize(
	array(
		'PUB'=>'Pública',
		'PRI'=>'Privada')
	)
);
define('TIPOGESTION_INVERSA', serialize(
	array(
		'Pública'=>'PUB',
		'Privada'=>'PRI')
	)
);

define('MESES',serialize(
		array(
			array('mes'=>1,'nombre'=>'Enero'),
			array('mes'=>2,'nombre'=>'Febrero'),
			array('mes'=>3,'nombre'=>'Marzo'),
			array('mes'=>4,'nombre'=>'Abril'),
			array('mes'=>5,'nombre'=>'Mayo'),
			array('mes'=>6,'nombre'=>'Junio'),
			array('mes'=>7,'nombre'=>'Julio'),
			array('mes'=>8,'nombre'=>'Agosto'),
			array('mes'=>9,'nombre'=>'Septiembre'),
			array('mes'=>10,'nombre'=>'Octubre'),
			array('mes'=>11,'nombre'=>'Noviembre'),
			array('mes'=>12,'nombre'=>'Diciembre')
		)
	)
);

define('FORMATOS_TRAZABILIDAD',serialize(array('U'=>'Unidad','C'=>'Caja','M'=>'Master case','P'=>'Palet')));

define('DIR_IMAGENES',$rutaHtml.'/img'.$sufijoEstiloGrafico);


define('GS1_128_CODES',serialize(
	array(
		array('codigo'=>'00','etiqueta'=>'Id Palet Cliente','longitud_minima'=>18,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'01','etiqueta'=>'Código GTIN del ítem','longitud_minima'=>14,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'02','etiqueta'=>'Código GTIN del artículo contenido en otra unidad','longitud_minima'=>14,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'10','etiqueta'=>'Lote','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'11','etiqueta'=>'Fecha de Producción','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'12','etiqueta'=>'Fecha de Pago','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'13','etiqueta'=>'Fecha de Envasado','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'15','etiqueta'=>'Fecha Caducidad','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'17','etiqueta'=>'Fecha Caducidad','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'20','etiqueta'=>'Variante','longitud_minima'=>2,'longitud_maxima'=>2,'tipo'=>'n'),
		array('codigo'=>'21','etiqueta'=>'Número de Serie','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'22','etiqueta'=>'HIBCC','longitud_minima'=>1,'longitud_maxima'=>29,'tipo'=>'an'),
		
		array('codigo'=>'235','etiqueta'=>'UpUI','longitud_minima'=>15,'longitud_maxima'=>15,'tipo'=>'an'),
		
		array('codigo'=>'240','etiqueta'=>'Código Producto','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'241','etiqueta'=>'Número de Producto Cliente','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'250','etiqueta'=>'Número de Serie Secundario','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'251','etiqueta'=>'Referencia de Origen','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'30','etiqueta'=>'Cantidad Variable','longitud_minima'=>1,'longitud_maxima'=>8,'tipo'=>'n'),
		
		array('codigo'=>'310n','etiqueta'=>'Peso Neto (Kg)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'311n','etiqueta'=>'Longitud (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'312n','etiqueta'=>'Anchura/Diámetro (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'313n','etiqueta'=>'Profundidad/Espesor/Altura (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'314n','etiqueta'=>'Area Comercial (m2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'315n','etiqueta'=>'Volumen Neto (l)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'316n','etiqueta'=>'Volumen Neto (m3)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'320n','etiqueta'=>'Volumen Neto (lb)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'321n','etiqueta'=>'Longitud (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'322n','etiqueta'=>'Longitud (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'323n','etiqueta'=>'Longitud (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'324n','etiqueta'=>'Anchura/Diámetro (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'325n','etiqueta'=>'Anchura/Diámetro (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'326n','etiqueta'=>'Anchura/Diámetro (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'327n','etiqueta'=>'Profundidad/Espesor/Altura (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'328n','etiqueta'=>'Profundidad/Espesor/Altura (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'328n','etiqueta'=>'Profundidad/Espesor/Altura (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'350n','etiqueta'=>'Area Comercial (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'351n','etiqueta'=>'Area Comercial (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'352n','etiqueta'=>'Area Comercial (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'356n','etiqueta'=>'Peso Neto (oz)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'357n','etiqueta'=>'Peso Neto (US oz)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'360n','etiqueta'=>'Volumen Neto (qtr)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'361n','etiqueta'=>'Volumen Neto (US gal)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'364n','etiqueta'=>'Volumen Neto (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'365n','etiqueta'=>'Volumen Neto (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'366n','etiqueta'=>'Volumen Neto (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		
		array('codigo'=>'330n','etiqueta'=>'Peso Bruto (Kg)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'331n','etiqueta'=>'Longitud (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'332n','etiqueta'=>'Anchura/Diámetro (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'333n','etiqueta'=>'Profundidad/Espesor/Altura (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'334n','etiqueta'=>'Area Logística (m2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'335n','etiqueta'=>'Volumen Bruto (l)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'336n','etiqueta'=>'Volumen Bruto (m3)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'337n','etiqueta'=>'Kg por m2','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'340n','etiqueta'=>'Peso Bruto (lb)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'341n','etiqueta'=>'Longitud (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'342n','etiqueta'=>'Longitud (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'343n','etiqueta'=>'Longitud (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'344n','etiqueta'=>'Anchura/Diámetro (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'345n','etiqueta'=>'Anchura/Diámetro (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'346n','etiqueta'=>'Anchura/Diámetro (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'347n','etiqueta'=>'Profundidad/Espesor/Altura (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'348n','etiqueta'=>'Profundidad/Espesor/Altura (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'349n','etiqueta'=>'Profundidad/Espesor/Altura (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'353n','etiqueta'=>'Area Logística (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'354n','etiqueta'=>'Area Logística (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'355n','etiqueta'=>'Area Logística (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'362n','etiqueta'=>'Volumen Bruto (qtr)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'363n','etiqueta'=>'Volumen Bruto (US gal)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'367n','etiqueta'=>'Volumen Bruto (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'368n','etiqueta'=>'Volumen Bruto (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'369n','etiqueta'=>'Volumen Bruto (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),

		array('codigo'=>'37','etiqueta'=>'Cantidad','longitud_minima'=>1,'longitud_maxima'=>8,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'390n','etiqueta'=>'Pago Total','longitud_minima'=>1,'longitud_maxima'=>15,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'391n','etiqueta'=>'Pago Total ISO','longitud_minima'=>1,'longitud_maxima'=>18,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'392n','etiqueta'=>'Pago Total condiciones comerciales variables','longitud_minima'=>1,'longitud_maxima'=>15,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'393n','etiqueta'=>'Pago Total condiciones comerciales variables ISO','longitud_minima'=>1,'longitud_maxima'=>18,'tipo'=>'n','formato'=>'numero'),
		
		array('codigo'=>'400','etiqueta'=>'Num. Pedido Cliente','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'401','etiqueta'=>'Num. Consignación','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'402','etiqueta'=>'Num. Envío','longitud_minima'=>17,'longitud_maxima'=>17,'tipo'=>'n'),
		array('codigo'=>'403','etiqueta'=>'Código Ruta','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'410','etiqueta'=>'Expedir a (Punto Operacional)','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'411','etiqueta'=>'Facturar a (Punto Operacional)','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'412','etiqueta'=>'Comprado a (Punto Operacional)','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'413','etiqueta'=>'Expedir para (Punto Operacional)','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'414','etiqueta'=>'Punto Operacional de la Linea de Factura','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'415','etiqueta'=>'Punto operacional GLN de la linea de factura','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'420','etiqueta'=>'Expedir a Código Postal','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'n'),
		array('codigo'=>'421','etiqueta'=>'Expedir a Código Postal con ISO País','longitud_minima'=>3,'longitud_maxima'=>12,'tipo'=>'an'),
		
		array('codigo'=>'422','etiqueta'=>'País de Nacimiento','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'423','etiqueta'=>'País de Cebo','longitud_minima'=>3,'longitud_maxima'=>15,'tipo'=>'n'),
		array('codigo'=>'424','etiqueta'=>'País de Producción','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'425','etiqueta'=>'País de Despiece','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'426','etiqueta'=>'País del Proceso completo','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		
		array('codigo'=>'7001','etiqueta'=>'Num. de Stock','longitud_minima'=>13,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'7002','etiqueta'=>'Clasificación UN/ENE','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		array('codigo'=>'8001','etiqueta'=>'Productos Bobinados','longitud_minima'=>14,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'8002','etiqueta'=>'Número de Serie Electrónico','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'8003','etiqueta'=>'GTIN Número de Serie Retornables','longitud_minima'=>14,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8004','etiqueta'=>'GTIN Seriada','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8005','etiqueta'=>'Precio Unidad','longitud_minima'=>1,'longitud_maxima'=>6,'tipo'=>'n'),
		array('codigo'=>'8006','etiqueta'=>'Componente','longitud_minima'=>18,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'8007','etiqueta'=>'Num. Cuenta Bancaria','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8008','etiqueta'=>'Fecha y Tiempo Producción','longitud_minima'=>8,'longitud_maxima'=>12,'tipo'=>'n'),
		array('codigo'=>'8018','etiqueta'=>'Número de Servicio','longitud_minima'=>18,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'8020','etiqueta'=>'Número Ref. Pago','longitud_minima'=>1,'longitud_maxima'=>25,'tipo'=>'n'),
		array('codigo'=>'8100','etiqueta'=>'Cód. Cupón Extendido NSC + Oferta','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n'),
		array('codigo'=>'8101','etiqueta'=>'Cód. Cupón Extendido NSC + Oferta + Fin Oferta','longitud_minima'=>10,'longitud_maxima'=>10,'tipo'=>'n'),
		array('codigo'=>'8100','etiqueta'=>'Cód. Cupón Extendido NSC','longitud_minima'=>2,'longitud_maxima'=>2,'tipo'=>'n'),
		array('codigo'=>'90','etiqueta'=>'Aplicaciones mutuamente acordadas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		array('codigo'=>'91','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'92','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'93','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'94','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'95','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'96','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'97','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'98','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'99','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		)
	)
);

define('GS1_128_CODES_ALTERNATIVO',serialize(
	array(
		array('codigo'=>'00','etiqueta'=>'Id Palet Cliente','longitud_minima'=>18,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'01','etiqueta'=>'Código GTIN del ítem','longitud_minima'=>14,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'02','etiqueta'=>'Código GTIN del artículo contenido en otra unidad','longitud_minima'=>14,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'10','etiqueta'=>'Lote','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'11','etiqueta'=>'Fecha de Producción','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'12','etiqueta'=>'Fecha de Pago','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'13','etiqueta'=>'Fecha de Envasado','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'15','etiqueta'=>'Fecha Caducidad','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'17','etiqueta'=>'Fecha Caducidad','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'fecha'),
		array('codigo'=>'20','etiqueta'=>'Variante','longitud_minima'=>2,'longitud_maxima'=>2,'tipo'=>'n'),
		array('codigo'=>'21','etiqueta'=>'Número de Serie','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'22','etiqueta'=>'HIBCC','longitud_minima'=>1,'longitud_maxima'=>29,'tipo'=>'an'),
		
		array('codigo'=>'235','etiqueta'=>'UpUI','longitud_minima'=>16,'longitud_maxima'=>16,'tipo'=>'an'),
		
		array('codigo'=>'240','etiqueta'=>'Código Producto','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'241','etiqueta'=>'Número de Producto Cliente','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'250','etiqueta'=>'Número de Serie Secundario','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'251','etiqueta'=>'Referencia de Origen','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'30','etiqueta'=>'Cantidad Variable','longitud_minima'=>1,'longitud_maxima'=>8,'tipo'=>'n'),
		
		array('codigo'=>'310n','etiqueta'=>'Peso Neto (Kg)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'311n','etiqueta'=>'Longitud (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'312n','etiqueta'=>'Anchura/Diámetro (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'313n','etiqueta'=>'Profundidad/Espesor/Altura (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'314n','etiqueta'=>'Area Comercial (m2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'315n','etiqueta'=>'Volumen Neto (l)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'316n','etiqueta'=>'Volumen Neto (m3)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'320n','etiqueta'=>'Volumen Neto (lb)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'321n','etiqueta'=>'Longitud (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'322n','etiqueta'=>'Longitud (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'323n','etiqueta'=>'Longitud (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'324n','etiqueta'=>'Anchura/Diámetro (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'325n','etiqueta'=>'Anchura/Diámetro (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'326n','etiqueta'=>'Anchura/Diámetro (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'327n','etiqueta'=>'Profundidad/Espesor/Altura (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'328n','etiqueta'=>'Profundidad/Espesor/Altura (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'328n','etiqueta'=>'Profundidad/Espesor/Altura (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'350n','etiqueta'=>'Area Comercial (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'351n','etiqueta'=>'Area Comercial (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'352n','etiqueta'=>'Area Comercial (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'356n','etiqueta'=>'Peso Neto (oz)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'357n','etiqueta'=>'Peso Neto (US oz)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'360n','etiqueta'=>'Volumen Neto (qtr)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'361n','etiqueta'=>'Volumen Neto (US gal)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'364n','etiqueta'=>'Volumen Neto (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'365n','etiqueta'=>'Volumen Neto (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'366n','etiqueta'=>'Volumen Neto (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		
		array('codigo'=>'330n','etiqueta'=>'Peso Bruto (Kg)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'331n','etiqueta'=>'Longitud (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'332n','etiqueta'=>'Anchura/Diámetro (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'333n','etiqueta'=>'Profundidad/Espesor/Altura (m)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'334n','etiqueta'=>'Area Logística (m2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'335n','etiqueta'=>'Volumen Bruto (l)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'336n','etiqueta'=>'Volumen Bruto (m3)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'337n','etiqueta'=>'Kg por m2','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'340n','etiqueta'=>'Peso Bruto (lb)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'341n','etiqueta'=>'Longitud (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'342n','etiqueta'=>'Longitud (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'343n','etiqueta'=>'Longitud (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'344n','etiqueta'=>'Anchura/Diámetro (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'345n','etiqueta'=>'Anchura/Diámetro (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'346n','etiqueta'=>'Anchura/Diámetro (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'347n','etiqueta'=>'Profundidad/Espesor/Altura (in)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'348n','etiqueta'=>'Profundidad/Espesor/Altura (ft)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'349n','etiqueta'=>'Profundidad/Espesor/Altura (yd)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'353n','etiqueta'=>'Area Logística (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'354n','etiqueta'=>'Area Logística (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'355n','etiqueta'=>'Area Logística (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'362n','etiqueta'=>'Volumen Bruto (qtr)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'363n','etiqueta'=>'Volumen Bruto (US gal)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'367n','etiqueta'=>'Volumen Bruto (in2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'368n','etiqueta'=>'Volumen Bruto (ft2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'369n','etiqueta'=>'Volumen Bruto (yd2)','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n','formato'=>'numero'),

		array('codigo'=>'37','etiqueta'=>'Cantidad','longitud_minima'=>1,'longitud_maxima'=>8,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'390n','etiqueta'=>'Pago Total','longitud_minima'=>1,'longitud_maxima'=>15,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'391n','etiqueta'=>'Pago Total ISO','longitud_minima'=>1,'longitud_maxima'=>18,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'392n','etiqueta'=>'Pago Total condiciones comerciales variables','longitud_minima'=>1,'longitud_maxima'=>15,'tipo'=>'n','formato'=>'numero'),
		array('codigo'=>'393n','etiqueta'=>'Pago Total condiciones comerciales variables ISO','longitud_minima'=>1,'longitud_maxima'=>18,'tipo'=>'n','formato'=>'numero'),
		
		array('codigo'=>'400','etiqueta'=>'Num. Pedido Cliente','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'401','etiqueta'=>'Num. Consignación','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'402','etiqueta'=>'Num. Envío','longitud_minima'=>1,'longitud_maxima'=>17,'tipo'=>'n'),
		array('codigo'=>'403','etiqueta'=>'Código Ruta','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'410','etiqueta'=>'Expedir a (Punto Operacional)','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'411','etiqueta'=>'Facturar a (Punto Operacional)','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'412','etiqueta'=>'Comprado a (Punto Operacional)','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'412','etiqueta'=>'Expedir para (Punto Operacional)','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'414','etiqueta'=>'Punto Operacional de la Linea de Factura','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'420','etiqueta'=>'Expedir a Código Postal','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'n'),
		array('codigo'=>'421','etiqueta'=>'Expedir a Código Postal con ISO País','longitud_minima'=>1,'longitud_maxima'=>12,'tipo'=>'an'),
		
		array('codigo'=>'422','etiqueta'=>'País de Nacimiento','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'423','etiqueta'=>'País de Cebo','longitud_minima'=>3,'longitud_maxima'=>15,'tipo'=>'n'),
		array('codigo'=>'424','etiqueta'=>'País de Producción','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'425','etiqueta'=>'País de Despiece','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		array('codigo'=>'426','etiqueta'=>'País del Proceso completo','longitud_minima'=>3,'longitud_maxima'=>3,'tipo'=>'n'),
		
		array('codigo'=>'7001','etiqueta'=>'Num. de Stock','longitud_minima'=>1,'longitud_maxima'=>13,'tipo'=>'n'),
		array('codigo'=>'7002','etiqueta'=>'Clasificación UN/ENE','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		array('codigo'=>'8001','etiqueta'=>'Productos Bobinados','longitud_minima'=>1,'longitud_maxima'=>14,'tipo'=>'n'),
		array('codigo'=>'8002','etiqueta'=>'Número de Serie Electrónico','longitud_minima'=>1,'longitud_maxima'=>20,'tipo'=>'an'),
		array('codigo'=>'8003','etiqueta'=>'GTIN Número de Serie Retornables','longitud_minima'=>14,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8004','etiqueta'=>'GTIN Seriada','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8005','etiqueta'=>'Precio Unidad','longitud_minima'=>1,'longitud_maxima'=>6,'tipo'=>'n'),
		array('codigo'=>'8006','etiqueta'=>'Componente','longitud_minima'=>18,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'8007','etiqueta'=>'Num. Cuenta Bancaria','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'8008','etiqueta'=>'Fecha y Tiempo Producción','longitud_minima'=>8,'longitud_maxima'=>12,'tipo'=>'n'),
		array('codigo'=>'8018','etiqueta'=>'Número de Servicio','longitud_minima'=>1,'longitud_maxima'=>18,'tipo'=>'n'),
		array('codigo'=>'8020','etiqueta'=>'Número Ref. Pago','longitud_minima'=>1,'longitud_maxima'=>25,'tipo'=>'n'),
		array('codigo'=>'8100','etiqueta'=>'Cód. Cupón Extendido NSC + Oferta','longitud_minima'=>6,'longitud_maxima'=>6,'tipo'=>'n'),
		array('codigo'=>'8101','etiqueta'=>'Cód. Cupón Extendido NSC + Oferta + Fin Oferta','longitud_minima'=>10,'longitud_maxima'=>10,'tipo'=>'n'),
		array('codigo'=>'8100','etiqueta'=>'Cód. Cupón Extendido NSC','longitud_minima'=>2,'longitud_maxima'=>2,'tipo'=>'n'),
		array('codigo'=>'90','etiqueta'=>'Aplicaciones mutuamente acordadas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		array('codigo'=>'91','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'92','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'93','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'94','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'95','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'96','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'97','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'98','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		array('codigo'=>'99','etiqueta'=>'Aplicaciones internas','longitud_minima'=>1,'longitud_maxima'=>30,'tipo'=>'an'),
		
		)
	)
);


?>